Subject: Ticket Assigned - Article Feedback - I would like to return an item/s I purchased online, what should I do?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 19 Jun 2020 06:20:08 +0000

Hi Manish Kumar,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I would like to return an item/s I purchased online, what should I do? Feedback for:  I would like to return an item/s I purchased online, what should I do? You don't clarify that an item can be returned eventually in line with the legal 14day returns consumer law for online purchases, albeit that the 14day period will have expired. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1229174